namespace SHNDecrypt
{
    using Microsoft.Win32;
    using System;
    using System.Reflection;
    using System.Runtime.CompilerServices;
    using System.Windows.Forms;

    internal static class Program
    {
        public static string assemblyName = Assembly.GetExecutingAssembly().GetName().Name;
        public static string eT;
        public static bool radioContains = false;
        public static bool radioEndsWith = false;
        public static bool radioEquals = false;
        public static bool radioStartsWith = false;
        public static RegistryKey rK = Registry.CurrentUser.CreateSubKey(@"Software\" + Assembly.GetExecutingAssembly().GetName().Name + @"\Encoding", RegistryKeyPermissionCheck.ReadWriteSubTree);
        public static string searchFile;
        public static string searchParam0;
        public static int searchParam1;

        public static void DoubleBuffered(this DataGridView dgv, bool setting)
        {
            dgv.GetType().GetProperty("DoubleBuffered", BindingFlags.NonPublic | BindingFlags.Instance).SetValue(dgv, setting, null);
        }

        [STAThread]
        private static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new frmMain());
        }
    }
}

